#include <iostream>
using namespace std;
class prodhimi
{
private:
	int n;//n=3
	float x;//x=1
	double pro(int a,int b,int c);
public:
	prodhimi();
	double p1,p2;
	void llogaritVleratDalese();
	void shtypVleratDalese();
};
int main()
{
	prodhimi objekti;
	objekti.llogaritVleratDalese();
	objekti.shtypVleratDalese();
	system("Pause");
	return 0;
}
double prodhimi::pro(int a,int b,int c)
	{
		double rez;
		int i;
		rez=1;
		i=a;
		do
		{
			rez=rez*(c*i+1);
			i++;//ose i=i+1
		}
		while(i<=b);
		return rez;
	}
prodhimi::prodhimi()
	{
		cout<<"Cakto vleren per n:";
		cin>>n;
		cout<<"Cakto vleren per x:";
		cin>>x;
	}
void prodhimi:: llogaritVleratDalese()
	{
		p1=x*pro(1,n,1);
		p2=pro(2,n-1,2);
	}
void prodhimi::shtypVleratDalese()
	{
		cout<<"p1="<<p1<<endl
			<<"p2="<<p2<<endl;
	}
